
n <- 100
beta <- c(3/2,3,0,0,1,0,0,0)
p <- length(beta)
x <- matrix(rnorm(n*p),n,p)
w <- runif(n,0,1)
y <- w + x %*% beta + rnorm(n)
C <- w + x %*% beta + runif(n,0,5)
Z <- apply(cbind(y,C),1,min)
delta <- ifelse(y<=C,1,0)

source("/Users/brentjohnson/Documents/Research/VariableSelection/PLMRank/algor/plm_rank_l1.R")

library(quantreg)


b1 <- plm.rank.l1(x,w,Z,delta,lambda=0.05,M=3,S=NULL)
b2 <- plm.rank.l1(x,w,Z,delta,lambda=0.1,M=3,S=NULL)
b3 <- plm.rank.l1(x,w,Z,delta,lambda=0.15,M=3,S=NULL)

cbind(b1,b2,b3)




